---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libj2pcsc.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _throwOutOfMemoryError, symObjAddr: 0x0, symBinAddr: 0x2D0D, symSize: 0x3A }
  - { offsetInCU: 0x121, offset: 0x121, size: 0x8, addend: 0x0, symName: _throwOutOfMemoryError, symObjAddr: 0x0, symBinAddr: 0x2D0D, symSize: 0x3A }
  - { offsetInCU: 0x17B, offset: 0x17B, size: 0x8, addend: 0x0, symName: _throwPCSCException, symObjAddr: 0x3A, symBinAddr: 0x2D47, symSize: 0x88 }
  - { offsetInCU: 0x237, offset: 0x237, size: 0x8, addend: 0x0, symName: _handleRV, symObjAddr: 0xC2, symBinAddr: 0x2DCF, symSize: 0x18 }
  - { offsetInCU: 0x26A, offset: 0x26A, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0xDA, symBinAddr: 0x2DE7, symSize: 0xB }
  - { offsetInCU: 0x2A51, offset: 0x2A51, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardEstablishContext, symObjAddr: 0xE5, symBinAddr: 0x2DF2, symSize: 0x3F }
  - { offsetInCU: 0x2B35, offset: 0x2B35, size: 0x8, addend: 0x0, symName: _pcsc_multi2jstring, symObjAddr: 0x124, symBinAddr: 0x2E31, symSize: 0x18C }
  - { offsetInCU: 0x2CBE, offset: 0x2CBE, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardListReaders, symObjAddr: 0x2B0, symBinAddr: 0x2FBD, symSize: 0xD2 }
  - { offsetInCU: 0x2E64, offset: 0x2E64, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardConnect, symObjAddr: 0x382, symBinAddr: 0x308F, symSize: 0xA0 }
  - { offsetInCU: 0x2FD1, offset: 0x2FD1, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardTransmit, symObjAddr: 0x422, symBinAddr: 0x312F, symSize: 0x148 }
  - { offsetInCU: 0x31B4, offset: 0x31B4, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardStatus, symObjAddr: 0x56A, symBinAddr: 0x3277, symSize: 0x145 }
  - { offsetInCU: 0x3399, offset: 0x3399, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardDisconnect, symObjAddr: 0x6AF, symBinAddr: 0x33BC, symSize: 0x31 }
  - { offsetInCU: 0x345B, offset: 0x345B, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardGetStatusChange, symObjAddr: 0x6E0, symBinAddr: 0x33ED, symSize: 0x379 }
  - { offsetInCU: 0x3839, offset: 0x3839, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardBeginTransaction, symObjAddr: 0xA59, symBinAddr: 0x3766, symSize: 0x2F }
  - { offsetInCU: 0x38E4, offset: 0x38E4, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardEndTransaction, symObjAddr: 0xA88, symBinAddr: 0x3795, symSize: 0x31 }
  - { offsetInCU: 0x39A6, offset: 0x39A6, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PCSC_SCardControl, symObjAddr: 0xAB9, symBinAddr: 0x37C6, symSize: 0x150 }
  - { offsetInCU: 0x26, offset: 0x3CB7, size: 0x8, addend: 0x0, symName: _throwByName, symObjAddr: 0x0, symBinAddr: 0x3916, symSize: 0x33 }
  - { offsetInCU: 0x4D, offset: 0x3CDE, size: 0x8, addend: 0x0, symName: _hModule, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x63, offset: 0x3CF4, size: 0x8, addend: 0x0, symName: _scardEstablishContext, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x108, offset: 0x3D99, size: 0x8, addend: 0x0, symName: _scardConnect, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x191, offset: 0x3E22, size: 0x8, addend: 0x0, symName: _scardDisconnect, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x1C6, offset: 0x3E57, size: 0x8, addend: 0x0, symName: _scardStatus, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x251, offset: 0x3EE2, size: 0x8, addend: 0x0, symName: _scardGetStatusChange, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x2F9, offset: 0x3F8A, size: 0x8, addend: 0x0, symName: _scardTransmit, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x39A, offset: 0x402B, size: 0x8, addend: 0x0, symName: _scardListReaders, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x3D9, offset: 0x406A, size: 0x8, addend: 0x0, symName: _scardBeginTransaction, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0x409, offset: 0x409A, size: 0x8, addend: 0x0, symName: _scardEndTransaction, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x429, offset: 0x40BA, size: 0x8, addend: 0x0, symName: _scardControl, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x49B, offset: 0x412C, size: 0x8, addend: 0x0, symName: _throwByName, symObjAddr: 0x0, symBinAddr: 0x3916, symSize: 0x33 }
  - { offsetInCU: 0x2D14, offset: 0x69A5, size: 0x8, addend: 0x0, symName: _throwNullPointerException, symObjAddr: 0x33, symBinAddr: 0x3949, symSize: 0x3A }
  - { offsetInCU: 0x2D9E, offset: 0x6A2F, size: 0x8, addend: 0x0, symName: _throwIOException, symObjAddr: 0x6D, symBinAddr: 0x3983, symSize: 0x3A }
  - { offsetInCU: 0x2E47, offset: 0x6AD8, size: 0x8, addend: 0x0, symName: _findFunction, symObjAddr: 0xA7, symBinAddr: 0x39BD, symSize: 0xA2 }
  - { offsetInCU: 0x2F94, offset: 0x6C25, size: 0x8, addend: 0x0, symName: _Java_sun_security_smartcardio_PlatformPCSC_initialize, symObjAddr: 0x149, symBinAddr: 0x3A5F, symSize: 0x2A1 }
...
